#include <iostream>
#include <opencv2/opencv.hpp>
#include <input.h>
#include <processing.h>
#include <control_module.h>
#include <interpreter.h>
#include <intersection_handler.h>
#include <future>

using namespace cv;

class LFR
{
    Input input;
    Processing processing;
    ControlModule controlModule;
    Interpreter interpreter;
    IntersectionHandler intersectionHandler;
    volatile bool iAmLooping;
    void loop();

public:

    LFR();
    ~LFR();

    std::future<void> startLoop();
    void endLoop();


};